Package bitel.billing.server.script.bean

# Class FunctionManager

java.lang.Object
bitel.billing.server.script.bean.FunctionManager

    public class FunctionManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `tableName` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FunctionManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteFunction​(int id)` | Удаляет функцию по ее коду.
  `void` | `deleteScriptFunctions​(int scriptID)` | Удаляет все функции скрипта.
  `java.util.List<Function>` | `getEventProcessFunctions()` |
  `java.util.List<Function>` | `getEventProcessFunctions​(int scriptId, int mid, int pluginId, int eventId)` | Возвращает список функций для обработки событием.
  `Function` | `getFunctionById​(int id)` | Возвращает функцию по ее коду.
  `Function` | `getFunctionByID​(int id)` | Deprecated.
  `Revision` | `getRevisionProperties​(int id)` | Возвращает реквизиты последнего редактирования функции по ее коду.
  `java.util.List<Function>` | `getScriptFunctions​(int scriptId)` | Возвращает функции скрипта по его коду.
  `static void` | `logFunctionProcess​(DefaultServerSetup setup, ConnectionSet connectionSet, java.util.Calendar time, int contractId, java.lang.String functionName, java.lang.String out, java.lang.String error, java.lang.String ex, java.lang.String warnings, long processTime, org.apache.logging.log4j.Logger logger)` |
  `static void` | `resetFunctionCache()` | Сбрасывает кэш функций.
  `void` | `updateFunction​(java.lang.String id, Function f)` | Обновляет функцию.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tableName

    protected java.lang.String tableName

- ## Constructor Details

  - ### FunctionManager

    public FunctionManager​(java.sql.Connection con)

- ## Method Details

  - ### getScriptFunctions

    public java.util.List<Function> getScriptFunctions​(int scriptId)
    Возвращает функции скрипта по его коду.
    Parameters:
      `scriptId` - код скрипта.
    Returns:
      список функций скрипта.

  - ### getFunctionById

    public Function getFunctionById​(int id)
    Возвращает функцию по ее коду.
    Parameters:
      `id` - код функции.
    Returns:
      функция.

  - ### getFunctionByID

    @Deprecated public Function getFunctionByID​(int id)
    Deprecated.
    Использовать `getFunctionById(int)`.
    Parameters:
      `id` -
    Returns:

  - ### updateFunction

    public void updateFunction​(java.lang.String id, Function f)
    Обновляет функцию.
    Parameters:
      `id` - код функции, "new" если новая.
      `\u0444\u0443\u043d\u043a\u0446\u0438\u044f` - .

  - ### deleteFunction

    public void deleteFunction​(int id)
    Удаляет функцию по ее коду.
    Parameters:
      `id` - код функции.

  - ### deleteScriptFunctions

    public void deleteScriptFunctions​(int scriptID)
    Удаляет все функции скрипта.
    Parameters:
      `scriptID` - код скрипта.

  - ### resetFunctionCache

    public static void resetFunctionCache()
    Сбрасывает кэш функций.

  - ### getEventProcessFunctions

    public java.util.List<Function> getEventProcessFunctions​(int scriptId, int mid, int pluginId, int eventId)
    Возвращает список функций для обработки событием.
    Parameters:
      `scriptId` - код скрипта.
      `mid` - код модуля.
      `pluginId` - код плагина.
      `eventId` - код события.
    Returns:
      список функций.

  - ### getEventProcessFunctions

    public java.util.List<Function> getEventProcessFunctions()

  - ### getRevisionProperties

    public Revision getRevisionProperties​(int id)
    Возвращает реквизиты последнего редактирования функции по ее коду.
    Parameters:
      `id` - код функции.
    Returns:
      параметры ревизии.

  - ### logFunctionProcess

    public static void logFunctionProcess​(DefaultServerSetup setup, ConnectionSet connectionSet, java.util.Calendar time, int contractId, java.lang.String functionName, java.lang.String out, java.lang.String error, java.lang.String ex, java.lang.String warnings, long processTime, org.apache.logging.log4j.Logger logger)